Bug 21735 - pdf2ps segfaults on encrypted pdf
Summary: pdf2ps segfaults on encrypted pdf
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ghostscript (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Crutcher Dunnavant
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-12-05 11:01 UTC by Phil Venton
Modified: 2007-04-18 16:30 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-05 11:01:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Phil Venton 2000-12-05 11:01:02 UTC
When trying to convert a PDF document to lvl2 PostScript, pdf2ps exits with
SIGSEGV.

The document in question contains encrypted components (the document owner
information).  The updated pdf_sec.ps file for Ghostcript was downloaded
and installed from:

http://www.ozemail.com.au/~geoffk/pdfencrypt/

For reference, the document being converted was the "Securing and
Optimising Linux: Red Hat Edition" guide, from linuxdoc.org.

Segfault has been reproduced on two seperate boxen.  Kernel 2.4.0-0.26smp.

Comment 1 Crutcher Dunnavant 2001-08-02 22:26:29 UTC
this is fixed in rawhide.


Note You need to log in before you can comment on or make changes to this bug.